%define pkg_name        Linux-Distribution
%define pkg_version     0.14
%define rpm_pkg_version 0.14
%define rpm_pkg_release 2.n0i.5

Summary:       Perl extension to guess on what linux distribution we are running on
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KE/KERBERUS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This is a simple module that try to guess on what linux distribution we are
running looking for release's files in /etc.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.14-2.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.14-1.n0i.4
- version 0.14

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 0.13-1.n0i.3
- version 0.13

* Tue Sep 06 2005 Marius Feraru <altblue@n0i.net> 0.11-1.n0i.2
- version 0.11

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.10-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
